<?php
  switch($Etape)
  {
    case 0:
	  echo "<a href='templateimport.xls'>Modèle</a><br/>";
	  echo "Enregistrer sous type \"texte (séparateur : tabulation) (*.txt)\". Attentention de de pas changer l'ordre des colonnes ni d'en supprimer. Garder la ligne de collones d'entête. Les prix insérés sont convertis en TCC si tax > 0.";
      echo "<form method='POST' ENCTYPE='multipart/form-data'><input type='hidden' name='Type' value=$Type><input type='hidden' name='Sous_Type' value=$Sous_Type><input type='hidden' name='Etape' value=1>";
	  echo "Fournisseur <input type='text' name='fournisseur' /><br/>";
      echo "Fichier <INPUT TYPE='file' name='liste'><br/><button type='submit'>Importer</button></form>\n";
    break;
    case 1:
      set_time_limit ( 3600 );
      $file=fopen($liste["tmp_name"],'r');
      echo "salut ".print_r($liste)."<BR>";
      echo "<BIG>Veuillez patienter svp</BIG><BR>";
      $nbart=0;
      $nbinc=0;
      $poscpt=0;
	  $ligne=fgets($file,300);
	  $arrLigne = explode("\t", $ligne);
	  
      while($ligne=fgets($file,300))
      {
	    $ligne = iconv("WINDOWS-1252", 'utf-8', $ligne);
	    $arrLigne = explode("\t", $ligne);
        $poscpt++;
        if(($poscpt%10000)==0)
        {
          echo "en cours<BR>\n";
        }
        $NoArticleRR=$arrLigne[0];
        $NoArticleRR=str_replace(" ", "", $NoArticleRR);
		$NoArticle=$NoArticleRR;
        $NoArticleRR=str_replace("-", "", $NoArticleRR);		
		$Description=$arrLigne[1];
        $PrixHT=$arrLigne[2];
		$PrixHT=str_replace("'", "", $PrixHT);
        $GroupeMarchandise=$arrLigne[3];
        $Tax=$arrLigne[4];
		if ($Tax > 0)
		{
          $PrixTTC=Arrondi_5_ct($PrixHT*((100+$Tax)/100));
		  $Prix = $PrixTTC;
		  $Tax = -$Tax;
		}
		else
		{
		  $Prix = $PrixHT;
		}
        $CodeRabais=$arrLigne[5];
		$Rabais=$arrLigne[6];
        $resultat=Article::getArticleByNoArticleRR(addslashes($NoArticleRR));
        $nb_resultats=count($resultat);
        $requette2="";
        if ($nb_resultats==0)
        {
          $requette2="INSERT INTO articles (NoArticle, NoArticleRR, Description, Type, PrixImportateur, Rabais, CodeRabais, GroupeMarchandise, TVA, DateModif, DateSaisie, PersonneModif) VALUES ";
          $requette2.="(".
                      "'".addslashes($NoArticle)."'".
                      ", '".addslashes($NoArticleRR)."'".
                      ", '".addslashes($Description)."'".
                      ", '".addslashes($fournisseur)."'".
                      ", $Prix".
                      ", $Rabais".
                      ", '".addslashes($CodeRabais)."'".
                      ", $GroupeMarchandise".
                      ", $Tax".
                      ", '".date("Y-m-d")."'".
                      ", '".date("Y-m-d")."'".
                      ", 'import'".
                      ")";
          $requette3="INSERT INTO articlesfournisseurs (NoArticleRR, IdFournisseur) VALUES ('".addslashes($NoArticleRR)."', 1)";
        }
        else if ($nb_resultats==1)
        {
          $requette2="UPDATE articles SET ".
                     "NoArticle='".addslashes($NoArticle)."'".
               ", Description='".addslashes($Description)."'".
               ", Type='".addslashes($fournisseur)."'".
               ", PrixImportateur=$Prix".
               ", Rabais=$Rabais".
               ", CodeRabais='".addslashes($CodeRabais)."'".
               ", GroupeMarchandise=$GroupeMarchandise".
               ", TVA=$Tax".
               ", DateModif='".date("Y-m-d")."'".
               ", PersonneModif='import'".
               " WHERE NoArticleRR='".addslashes($NoArticleRR)."'";
          $requette3="INSERT INTO articlesfournisseurs (NoArticleRR, IdFournisseur) VALUES ('".addslashes($NoArticleRR)."', 1)";
        }
        else
        {
          $create=1;
          foreach($resultat as $ligner)
          {
            if($ligner['NoArticle']==$NoArticle)
            {
              $create=0;
            }
            else
            {
              Connection::executeRawQuery("DELETE FROM articles WHERE NoArticle='".addslashes($NoArticle)."'");
            }
          }
          if($create==1)
          {
          $requette2="INSERT INTO articles (NoArticle, NoArticleRR, Description, Type, PrixImportateur, Rabais, CodeRabais, GroupeMarchandise, TVA, DateModif, DateSaisie, PersonneModif) VALUES ";
          $requette2.="(".
                      "'".addslashes($NoArticle)."'".
                      ", '".addslashes($NoArticleRR)."'".
                      ", '".addslashes($Description)."'".
                      ", '".addslashes($fournisseur)."'".
                      ", $Prix".
                      ", $Rabais".
                      ", '".addslashes($CodeRabais)."'".
                      ", $GroupeMarchandise".
                      ", $Tax".
                      ", '".date("Y-m-d")."'".
                      ", '".date("Y-m-d")."'".
                      ", 'import'".
                      ")";
          }
          else
          {
            $requette2="UPDATE articles SET ".
                     "NoArticle='".addslashes($NoArticle)."'".
               ", Description='".addslashes($Description)."'".
               ", Type='".addslashes($fournisseur)."'".
               ", PrixImportateur=$Prix".
               ", Rabais=$Rabais".
               ", CodeRabais='".addslashes($CodeRabais)."'".
               ", GroupeMarchandise=$GroupeMarchandise".
               ", TVA=$Tax".
               ", DateModif='".date("Y-m-d")."'".
               ", PersonneModif='import'".
               " WHERE NoArticleRR='".addslashes($NoArticleRR)."'";
          }
        }
		if($GroupeMarchandise==0)
		{
		  $nbinc++;
		}
		$nbart++;
		echo $requette2."<BR>".$GroupeMarchandise."<BR>";
		Connection::executeRawQuery($requette2);
		Connection::executeRawQuery($requette3);
      }
      echo $nbart . "<BR>";
      echo $nbinc . "<BR>";
      echo "<BIG>OK c'est fini</BIG><BR>";
    break;
  }
?>
